Delete ideas
curl --request DELETE \
--url https://app.trypost.it/api/ideas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idea_ids": [
"9e2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"9e2b3c4e-6f7a-4b8c-9d0e-1f2a3b4c5d6e"
]
}
'import requests
url = "https://app.trypost.it/api/ideas"
payload = { "idea_ids": ["9e2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d", "9e2b3c4e-6f7a-4b8c-9d0e-1f2a3b4c5d6e"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idea_ids: ['9e2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d', '9e2b3c4e-6f7a-4b8c-9d0e-1f2a3b4c5d6e']
})
};
fetch('https://app.trypost.it/api/ideas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}Ideas
Delete ideas
Deletes several ideas and their media. Ids that are not ideas of this workspace are ignored.
DELETE
/
ideas
Delete ideas

